Subject: bug#73730: 31.0.50; Support for color fonts on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2024 18:54:17 +0200

> Date: Sun, 27 Oct 2024 16:44:13 +0100
> From: Cecilio Pardo <[email-masked]>
> 
> > Could you perhaps try the 32-bit build with the latest win32 binaries
> > that the HarfBuzz project itself provides from their Releases page?
> > 
> >    https://github.com/harfbuzz/harfbuzz/releases
> 
> I replaced libharfbuzz-0.dll with the one from version 10.0.1 (the 
> latest one) and it just works, with and without DirectWrite, without 
> rebulding Emacs with the new headers.

And the problems with displaying emoji-zwj-sequences are gone?

It doesn't surprise me that no rebuilding is needed, because the
latest HarfBuzz is still ABI-compatible with the old ones (which is
why the name is still "-0.dll", not a larger number).

> Besides the normal build with meson/cmake, I've seen this:
> 
>    There is also amalgamated source provided with HarfBuzz which reduces
>    whole process of building HarfBuzz to g++ src/harfbuzz.cc
>    -fno-exceptions but there is no guarantee provided with buildability 	
>    and reliability of features you get.

Yes, I know, I've seen the suggestion to TeX Live folks to use that.